Loading...

Knowledge Center


Supported platforms, environments, and operating systems for Advanced Threat Defense
Technical Articles ID:   KB87121
Last Modified:  10/17/2019
Rated:


Environment

McAfee Advanced Threat Defense (ATD)

Summary

This article provides the latest information about supported environments.

McAfee product software, upgrades, maintenance releases, and documentation are available from the Product Downloads site at: http://www.mcafee.com/us/downloads/downloads.aspx.

NOTE: You need a valid Grant Number for access. KB56057 provides additional information about the Product Downloads site, and alternate locations for some products.

To receive email notification when this article is updated, click Subscribe on the right side of the page. You must be logged on to subscribe.


Contents
Click to expand the section you want to view:

  • Your host server must use a CPU with Haswell microarchitecture, which was announced in 2013 or later.
    vATD requires nested virtualization support from the VMware ESXi server.
    This support is supplied by the Shadow Virtual Machine Control Structure (VMCS) instruction set in the CPU on the host server. This support is only available in the Haswell architecture and later chips.
  • You must enable Intel® VT-x in the BIOS settings.
  • If you enable Enhanced vMotion Compatibility (EVC) on your VMware ESXi server, you must select the Haswell baseline feature set for EVC setup.

 
Product Name
ATD 4.x
Network Security Platform
Network Security Platform 9.2.x components (4.2.x and later):
  • Network Security Manager: 9.2.7.9 or later
  • NS-series Sensor software: 9.2.5.6 or later
  • Virtual IPS Sensor software: 9.2.7.10 or later

Network Security Platform 9.1.x components (limited support):
  • Network Security Manager: 9.1.7.11 or later
  • M-series Sensor software: 9.1.3.4 or later
  • NS-series Sensor software: 9.1.5.9 or later
  • Virtual IPS Sensor software: 9.1.7.4 or later

Network Security Platform 8.3.x components (limited support):
  • Network Security Manager: 8.3.7.28 or later
  • Signature Set: 8.7.78.7 or later
  • M-series Sensor software: 8.3.3.9 or later
  • NS-series Sensor software: 8.3.5.11 or later
  • Virtual IPS Sensor software: 8.3.7.8 or later
Network Security Platform 8.1.x components:
  • Network Security Manager: 8.1.7.82 or later
  • M-series Sensor software: 8.1.3.100 or later
  • NS-series Sensor software: 8.1.5.175 or later
  • Virtual IPS Sensor software: 8.1.7.34 or later
Web Gateway
7.6.2 or later
Email Gateway
7.6.3 or later
Data Exchange Layer
2.2.0 or later
Threat Intelligence Exchange
1.3.0 or later
Security Information and
Event Management
9.6.0 or later
Enterprise Security Manager 9.4.1 or later
ePolicy Orchestrator
5.1.1 [Build:357] - 5.9.0
IMPORTANT: OS profiling with ePO 5.10.0 does not work in ATD.
McAfee Active Response
1.1.0.158 - 2.4

Although McAfee no longer owns these products, its integration is still supported:
 
Product Name
ATD 4.6 ATD 4.4 ATD 4.2 ATD 4.0
Forcepoint Next Generation Firewall
(Forcepoint NGFW)
6.3.3 6.3.3 6.2.1
5.10.10
6.2.1
5.10.10


Back to top

  Supported VM Desktop Operating systems: Supported VM Server Operating Systems: Supported VM Mobile Operating Systems: Supported Web Interface Clients:
ATD 4.x  
  • Microsoft Windows 7 32-bit (Service Pack 1)
  • Microsoft Windows 7 64-bit (Service Pack 1)
  • Microsoft Windows 8 Professional 32-bit
  • Microsoft Windows 8 Professional 64-bit
  • Microsoft Windows 8.1 64-bit Enterprise (Update 1 version 6.3 build 9600)
  • Microsoft Windows 8.1 64-bit Professional (Update 1 version 6.3 build 9600)
  • Microsoft Windows 10
    Professional (version 1607)
  • Microsoft Windows 10 Enterprise 64-bit
    Creators Update (version 1703), Anniversary Update (version 1607), and November Update (version 1511)
 
  • Microsoft Windows Server 2008 R2 (Service Pack 1) Datacenter
  • Microsoft Windows Server 2012 Standard
  • Microsoft Windows Server 2012 R2 Standard
  • Microsoft Windows Server
    2012 Datacenter
  • Microsoft Windows Server
    2012 R2 Datacenter
  • Microsoft Windows Server 2016 Standard
Android:
  • 2.3
  • 4.3
  • 5.2
  • Windows 7 SP1 32-bit and 64-bit
  • Windows 8 32-bit
  • Windows 8.1
  • Windows 10
  • Windows Server 2003 SP1 and SP2
  • Windows Server 2008 64-bit
  • Internet Explorer 6–11
  • Google Chrome: All versions until version 66
  • Mozilla Firefox: All versions until version 59

NOTE: McAfee has ended support for Windows XP SP2 and SP3 and Windows Server 2003 32-bit. McAfee will not be addressing new issues related to these platforms.

Back to top

  Browsers Productivity Adobe Packages Java
ATD 4.x
  • Microsoft Internet Explorer:
    6, 7, 8, 9, 10, and 11
  • Mozilla Firefox:
    All versions until 54.0
  • Google Chrome:
    All versions until 59
  • Microsoft Office 2003, 2007, 2010, 2013 and 2016
  • Adobe Flash 13
  • Adobe Flash Player plug-in:
    22.0.0.209, 22.0.0.210, 32.
  • Adobe Reader version 9,10,11, DC.
  • 32-bit operating system:
    jdk-7u25/jre-7u25 32-bit
  • 64-bit operating system:
    jdk-7u25/jre-7u25 64-bit
  • 32-bit operating system:
    jdk-8u101/jre-8u101 32-bit
  • 64-bit operating system:
    jdk-8u101//jre-8u101 64-bit

IMPORTANT: You might need to install supported third-party tools to your sandbox virtual machines, but find the tools are declared as End of Life (EOL).
The following table lists download links for these EOL third-party tools, where available from the product publisher.
 
Tool Version to use Download link
Flash player plug-in 22.0.0.209 https://fpdownload.macromedia.com/pub/flashplayer/installers/archive/fp_22.0.0.209_archive.zip

NOTE: Adobe maintains an archive of selected releases at:
https://helpx.adobe.com/uk/flash-player/kb/archived-flash-player-versions.html#main_Archived_versions

NOTE: McAfee confirmed that these links are active at the time of publishing. If you find the external links are no longer available, contact Technical Support and quote this article number.
Because of the dynamic nature of web links, McAfee does not provide external links of EOL tools in product documentation.
 

  .NET 4.6.2 .NET 4.6.1 .NET 4.0 SP2 .NET 2.0 SP2
ATD 4.x Windows 10 Anniversary edition
.NET 4.6.2 only supports the Windows 10 Anniversary update:
https://msdn.microsoft.com/en-us/library/8z6watww(v=vs.110).aspx
Windows 7 SP1 32-bit and 64-bit
Windows 8 32-bit and 64-bit
Windows 8.1 64-bit
Windows 10
Windows Server 2008 R2 SP1 64-bit
Windows Server 2012 64-bit
Windows Server 2012 R2 64-bit
Windows XP SP3
Windows 7 SP1 32-bit and 64-bit
Windows Server 2003 SP2
Windows Server 2008 R2 SP1 64-bi
Not supported

File Type
Default
Minimum
Default
Maximum
Configurable
Minimum
Configurable
Maximum
Windows Portable Executable (PE) .exe, .dll, or .sys files 1024 10000000 100 128000000
PDF document file with .pdf extension 2048 25000000 100 128000000
Java class data file with .class extension 1024 5000000 100 128000000
Microsoft Office older files with .doc, .ppt, or .xls extension 5120 10000000 100 128000000
Microsoft rich text format file with .rtf extension 1024 10000000 100 128000000
ZIP file, APK file, or newer Microsoft Office file with .docx, .pptx or .xlsx extension 200 20000000 100 128000000
JPEG image file 5120 1000000 100 128000000
PNG image file 5120 1000000 100 128000000
GIF image file 5120 1000000 100 128000000
Microsoft DOS executable file with .com extension 1024 5000000 100 128000000
Macromedia Flash file with .swf extension 1024 5000000 100 128000000
7-Zip compressed archive file with .7z extension 200 10000000 100 128000000
RAR compressed archive file with .rar extension 200 10000000 100 128000000
Microsoft cabinet compressed archive file with .cab extension 200 10000000 100 128000000
Miscellaneous text or script files. For example .js, .bat, .vbs, .xml, .py, .url, .htm 100 1000000 100 128000000

Rate this document

Glossary of Technical Terms


 Highlight Glossary Terms

Please take a moment to browse our Glossary of Technical Terms.